Package com.norconex.commons.lang.convert

# Class GenericJsonSerializer<T>

java.lang.Object
tools.jackson.databind.ValueSerializer<T>
com.norconex.commons.lang.convert.GenericJsonSerializer<T>

All Implemented Interfaces:
  `tools.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`

Direct Known Subclasses:
  `CharsetConverter.JsonSerializer`, `ContentTypeConverter.JsonSerializer`, `DimensionConverter.JsonSerializer`, `DurationConverter.JsonSerializer`, `FileConverter.JsonSerializer`, `InstantConverter.JsonSerializer`, `LocalDateTimeConverter.JsonSerializer`, `LocaleConverter.JsonSerializer`, `PathConverter.JsonSerializer`, `PatternConverter.JsonSerializer`, `ZonedDateTimeConverter.JsonSerializer`, `ZoneIdConverter.JsonSerializer`

public class GenericJsonSerializer<T> extends tools.jackson.databind.ValueSerializer<T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tools.jackson.databind.ValueSerializer

  `tools.jackson.databind.ValueSerializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericJsonSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serialize(T value, tools.jackson.core.JsonGenerator gen, tools.jackson.databind.SerializationContext sp)`

  ### Methods inherited from class tools.jackson.databind.ValueSerializer

  `acceptJsonFormatVisitor, createContextual, getDelegatee, handledType, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, resolve, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withFormatOverrides, withIgnoredProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericJsonSerializer

    public GenericJsonSerializer()

- ## Method Details

  - ### serialize

    public void serialize(T value, tools.jackson.core.JsonGenerator gen, tools.jackson.databind.SerializationContext sp)
    Specified by:
      `serialize` in class `tools.jackson.databind.ValueSerializer<T>`